# Uses of Interface
java.util.prefs.PreferenceChangeListener

Packages that use PreferenceChangeListener
Package
Description
java.util.prefs
This package allows applications to store and retrieve user and system preference and configuration data.

## Uses of PreferenceChangeListener in java.util.prefs

Methods in java.util.prefs with parameters of type PreferenceChangeListener
Modifier and Type
Method
Description
`void`
AbstractPreferences.`addPreferenceChangeListener(PreferenceChangeListener pcl)`
`abstract void`
Preferences.`addPreferenceChangeListener(PreferenceChangeListener pcl)`
Registers the specified listener to receive preference change events for this preference node.
`void`
AbstractPreferences.`removePreferenceChangeListener(PreferenceChangeListener pcl)`
`abstract void`
Preferences.`removePreferenceChangeListener(PreferenceChangeListener pcl)`
Removes the specified preference change listener, so it no longer receives preference change events.